### File

`packages/components/eui-tabs/eui-tab/eui-tab.component.ts`

### Implements

`OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiSecondary euiInfo euiSuccess euiWarning euiDanger euiVariant
selector | `eui-tab`

template

    <ng-content/>

### Index

###### Properties

- Public baseStatesDirective
- Public isActive
- Public isClosable$
- Public isDisabled$
- Public isVisible$
- templateBody
- templateHeader

###### Methods

- Public activateTab
- Public deactivateTab

###### Inputs

- e2eAttr
- id
- isClosable
- isDisabled
- isHandleActivateTab
- isHandleCloseOnClose
- isVisible
- tooltip
- url

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-tab'`

id
Type : `string`

isClosable
Type : `boolean`
Default value : `false`

isDisabled
Type : `boolean`
Default value : `false`

isHandleActivateTab
Type : `boolean`
Default value : `false`

isHandleCloseOnClose
Type : `boolean`
Default value : `false`

isVisible
Type : `boolean`
Default value : `true`

tooltip
Type : `string`

url
Type : `string`

### Methods

Public activateTab
`activateTab()`
Returns : `void`

Public deactivateTab
`deactivateTab()`
Returns : `void`

### Properties

Public baseStatesDirective
Type : `unknown`
Default value : `inject(BaseStatesDirective)`

Public isActive
Type : `unknown`
Default value : `false`

Public isClosable$
Type : `unknown`
Default value : `new BehaviorSubject(this.isClosable)`

Public isDisabled$
Type : `unknown`
Default value : `new BehaviorSubject(this.isDisabled)`

Public isVisible$
Type : `unknown`
Default value : `new BehaviorSubject(this.isVisible)`

templateBody
Type : `EuiTabBodyComponent`
Decorators : `@ContentChild(undefined)`

templateHeader
Type : `EuiTabHeaderComponent`
Decorators : `@ContentChild(undefined)`

# results matching ""

# No results matching ""